/****************************************************************************

    char_data.cc - definitions of the characters.

    Copyright (C) 1998 Daniel Franklin

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

 ****************************************************************************/

// Here is the alphabet, each character in a 5x7 matrix "bitmap".
float Alphabet [26][35] = {
	{ // A
		-1, -1, 1, -1, -1,
		-1, 1, -1, 1, -1,
		1, -1, -1, -1, 1,
		1, 1, 1, 1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1
	},{ // B
		1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, 1, 1, 1, -1
	},{ // C
		-1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, -1
	},{ // D
		1, 1, 1, -1, -1,
		1, -1, -1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, 1, -1,
		1, 1, 1, -1, -1
	},{ // E
		1, 1, 1, 1, 1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, 1, 1, 1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, 1, 1, 1, 1
	},{ // F
		1, 1, 1, 1, 1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, 1, 1, 1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1
	},{ // G
		-1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, -1,
		1, -1, -1, 1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, -1
	},{ // H
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, 1, 1, 1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1
	},{ // I
		-1, 1, 1, 1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, 1, 1, 1, -1
	},{ // J
		-1, -1, -1, -1, 1,
		-1, -1, -1, -1, 1,
		-1, -1, -1, -1, 1,
		-1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, -1
	},{ // K
		1, -1, -1, -1, 1,
		1, -1, -1, 1, -1,
		1, -1, 1, -1, -1,
		1, 1, -1, -1, -1,
		1, -1, 1, -1, -1,
		1, -1, -1, 1, -1,
		1, -1, -1, -1, 1
	},{ // L
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, 1, 1, 1, 1
	},{ // M
		1, -1, -1, -1, 1,
		1, 1, -1, 1, 1,
		1, -1, 1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1
	},{ // N
		1, -1, -1, -1, 1,
		1, 1, -1, -1, 1,
		1, 1, -1, -1, 1,
		1, -1, 1, -1, 1,
		1, -1, -1, 1, 1,
		1, -1, -1, 1, 1,
		1, -1, -1, -1, 1
	},{ // O
		-1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, -1
	},{ // P
		1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, 1, 1, 1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, -1, -1, -1, -1
	},{ // Q
		-1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, 1, -1, 1,
		1, -1, -1, 1, 1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, 1
	},{ // R
		1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, 1, 1, 1, -1,
		1, -1, 1, -1, -1,
		1, -1, -1, 1, -1,
		1, -1, -1, -1, 1
	},{ // S
		-1, 1, 1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, -1,
		1, 1, 1, 1, -1,
		-1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, -1
	},{ // T
		1, 1, 1, 1, 1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1
	},{ // U
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, 1, 1, -1
	},{ // V
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, -1, 1, -1,
		-1, 1, -1, 1, -1,
		-1, 1, -1, 1, -1,
		-1, -1, 1, -1, -1
	},{ // W
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		1, -1, 1, -1, 1,
		1, 1, -1, 1, 1,
		1, -1, -1, -1, 1
	},{ // X
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, -1, 1, -1,
		-1, -1, 1, -1, -1,
		-1, 1, -1, 1, -1,
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1
	},{ // Y
		1, -1, -1, -1, 1,
		1, -1, -1, -1, 1,
		-1, 1, -1, 1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1,
		-1, -1, 1, -1, -1
	},{ // Z
		1, 1, 1, 1, 1,
		-1, -1, -1, -1, 1,
		-1, -1, -1, 1, -1,
		-1, -1, 1, -1, -1,
		-1, 1, -1, -1, -1,
		1, -1, -1, -1, -1,
		1, 1, 1, 1, 1
	}
};
